module Cuckery.CuckList.MikeSweeney.MikeSweeney exposing (..)

import Cuckery.Types exposing (..)


cuckMikeSweeney : Cuck
cuckMikeSweeney =
    let
        name : String
        name =
            "Mike Sweeney"
    in
    { cuckImage = formatCuckName name
    , cuckName = name
    , cuckSocial = "https://x.com/thelowcarb_rd"
    , cuckDodges =
        [ { dodgeLink = "https://x.com/TheNutrivore/status/1746962254052962552"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Vegan diets are nowhere near appropriate for the average person in society."
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        , { dodgeLink = "https://x.com/thelowcarb_rd/status/1654182805964836865"
          , dodgeDescription = GhostedMe
          , dodgeProposition = "Statistical gymnastics don't inform on real world mechanisms and hard outcomes."
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        , { dodgeLink = "https://x.com/TheNutrivore/status/1776652108646821913?t=Pf4sfAC1Z0pAcxGfQFr7oQ"
          , dodgeDescription = NoReply
          , dodgeProposition = "Cheerios cause nausea, vomiting, seizures, irregular heartbeat, liver damage, and coma."
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaimDisbelief
          }
        ]
    }
