module Cuckery.CuckList.RalphNapolitano.RalphNapolitano exposing (..)

import Cuckery.Types exposing (..)


cuckRalphNapolitano : Cuck
cuckRalphNapolitano =
    let
        name : String
        name =
            "Ralph Napolitano"
    in
    { cuckImage = formatCuckName name
    , cuckName = name
    , cuckSocial = "https://x.com/DrRalphNap"
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1462794580848300034?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Oatmeal is one of the worst foods you can eat and has no health benefits."
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason "The aggregate of the data suggests whole grains are beneficial for humans."
          }
        ]
    }
